std::alignment_of< _Tp >(3)

NAME
std::alignment_of< _Tp > -

SYNOPSIS

Inherits std::integral_constant< std::size_t, __alignof__(_Tp)>.

  Public Types
typedef integral_constant
< std::size_t, __v > type"
typedef std::size_t value_type

  Public Member Functions
constexpr operator value_type ()

  Static Public Attributes
static constexpr std::size_t value

Detailed Description

  template<typename _Tp>struct std::alignment_of< _Tp >
alignment_of

Definition at line 1238 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.